gnutls_kx_set_priority(3)

NAME
gnutls_kx_set_priority - Sets the priority on the key exchange algorithms supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_kx_set_priority(gnutls_session_t session, const int * list);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const int * list
    is a 0 terminated list of gnutls_kx_algorithm_t elements.

DESCRIPTION
Sets the priority on the key exchange algorithms supported by gnutls. Priority is higher for algorithms specified before others. After specifying the algorithms you want, you must append a 0. Note that the priority is set on the client. The server does not use the algorithm's priority except for disabling algorithms that were not specified. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.